{
  description = "NixOS System Config";
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-23.11";
    nixpkgs-unstable.url = "github:NixOS/nixpkgs/nixpkgs-unstable";
    sops-nix.url = "github:Mic92/sops-nix";
    sops-nix.inputs.nixpkgs.follows = "nixpkgs";
  };
  outputs = { self, nixpkgs, sops-nix, ... }@inputs:
  let
    nixos-x86_64-hosts = [
      "g2"
    ];
  in
  {
    nixosConfigurations = {
    } // (builtins.listToAttrs (builtins.map (host: {
      name = host;
      value = nixpkgs.lib.nixosSystem {
        system = "x86_64-linux";
        specialArgs = { inherit inputs; };
        modules = [
          ./hosts/${host}/configuration.nix
          sops-nix.nixosModules.sops
        ];
      };
    }) nixos-x86_64-hosts));
  };
}
